diff cross-compiler.sh @ 1207:4021fb1183d7

Environment sanitizing screwed up the cross-compiler.sh wrapper. Fix it, rename PROGRAM_PREFIX to TOOLCHAIN_PREFIX, and put a guard around sources/include.sh so it's safe to include multiple times.
author Rob Landley <rob@landley.net>
date Mon, 16 Aug 2010 15:00:35 -0500
parents ac490c50f9f5
children 7eabfa815c90
line wrap: on
line diff
--- a/cross-compiler.sh	Fri Aug 13 17:19:28 2010 -0500
+++ b/cross-compiler.sh	Mon Aug 16 15:00:35 2010 -0500
@@ -12,13 +12,15 @@
 # This is a simple wrapper for native-compiler.sh, we re-use the canadian
 # cross infrastructure in there to build a very similar compiler.
 
+. sources/include.sh || exit 1
 
 # Unless told otherwise, create statically linked i686 host binaries (which
 # should run on an x86-64 host just fine, even if it hasn't got 32-bit
 # libraries installed).
 
-HOST_ARCH="${CROSS_HOST_ARCH:-i686}" BUILD_STATIC=${BUILD_STATIC:-all} \
-  STAGE_NAME=cross-compiler ./native-compiler.sh "$1" || exit 1
+BUILD_STATIC=${BUILD_STATIC:-all} HOST_ARCH="${CROSS_HOST_ARCH:-i686}" \
+  TOOLCHAIN_PREFIX="${1}-" STAGE_NAME=cross-compiler \
+  ./native-compiler.sh "$1" || exit 1
 
 # Run the cross compiler smoke test if requested.